agents

## Class SystemAgent

- java.lang.Object
- - agents.Agent
  - - agents.SystemAgent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbstractContext, AbstractHead, LocalModelAgent, Percept

    public abstract class SystemAgent
    extends Agent
    implements java.io.Serializable

The Class SystemAgent.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SystemAgent(World world)` Instantiates a new system agent.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract java.util.ArrayList<? extends Agent>` `getTargets()` Gets the targets.
`World` `getWorld()` Gets the world.
`void` `play()` Play one agent step.
`void` `setWorld(World world)` Sets the world.

### Methods inherited from class agents.Agent

`computeAMessage, die, getID, getMessages, getMessagesBin, getName, isDying, readMessage, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SystemAgent

    public SystemAgent(World world)

Instantiates a new system agent.

Parameters:
  `world` - the world

### Method Detail

#### play

    public void play()

Description copied from class: `Agent`
Play one agent step.

Overrides:
  `play` in class `Agent`

#### getTargets

    public abstract java.util.ArrayList<? extends Agent> getTargets()

Gets the targets.

Returns:
  the targets

#### getWorld

    public World getWorld()

Gets the world.

Returns:
  the world

#### setWorld

    public void setWorld(World world)

Sets the world.

Parameters:
  `world` - the new world